package db;

import java.lang.reflect.Field;

import db.annotation.DbLink;

public class DatabaseUtils {
	
	public static void checkIfPersistable(Field f) {
		boolean ok = false;
		for(Class<?> clazz : f.getType().getInterfaces()) {
			ok |= clazz.getName().endsWith("Persistable");
		}
		if (!ok) {
			throw new IllegalStateException("Field object don't implement Persistable");
		}
	}
	
	public static String getDbLink(Field f) {
		if (!f.isAnnotationPresent(DbLink.class)) {
			return null;
		}
		String val = f.getAnnotation(DbLink.class).value();
		if ("#PROPERTIES#".equals(val)) {
			val = DatabaseProperties.get("dblink");
		}
		return val;
	}

}
